Bug 68463 - Upgrade the kernel on a Dell Poweredge 1650 from 2.4.7- 10smp to 2.4.9-34smp, "kernel panic - no init found" after reboot.
Upgrade the kernel on a Dell Poweredge 1650 from 2.4.7- 10smp to 2.4.9-34smp,...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 08:39 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-10 08:45:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-10 08:39:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I used up2date to upgrade the kernel on a Dell Poweredge 1650 from 2.4.7-10smp
to 2.4.9-34smp and when I rebooted, I got a "kernel panic - no init found" and a
message to add an init= option. Fortunately, rebooting using the previous kernel
worked. I'm using GRUB as my boot loader.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.loading with the 2.4.9-34smp kernel
2.Reboot
3.
	

Actual Results:  kernel panic - no init found

Expected Results:  normal boot up and running

Additional info:


Grub.conf contents as follows
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,1)
#          kernel /vmlinuz-version ro root=/dev/sda3
#          initrd /initrd-version.img
#boot=/dev/sda2
default=0
timeout=10
splashimage=(hd0,1)/grub/splash.xpm.gz
title Red Hat Linux (2.4.9-34smp)
       root (hd0,1)
       kernel /vmlinuz-2.4.9-34smp ro root=/dev/sda3
       initrd /initrd-2.4.9-34smp.img
title Red Hat Linux (2.4.9-34)
       root (hd0,1)
       kernel /vmlinuz-2.4.9-34 ro root=/dev/sda3
       initrd /initrd-2.4.9-34.img
title Red Hat Linux (2.4.7-10smp)
       root (hd0,1)
       kernel /vmlinuz-2.4.7-10smp ro root=/dev/sda3
       initrd /initrd-2.4.7-10smp.img
title Red Hat Linux-up (2.4.7-10)
       root (hd0,1)
       kernel /vmlinuz-2.4.7-10 ro root=/dev/sda3
       initrd /initrd-2.4.7-10.img


Also dmesg for other kernel (2.4.7-10)


Linux version 2.4.7-10smp (bhcompile@stripples.devel.redhat.com) (gcc version
2.96 20000731 (Red Hat Linux 7.1 2.96-98)) #1 SMP Thu Sep 6 17:09:31 EDT 2001
BIOS-provided physical RAM map:
BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
BIOS-e820: 0000000000100000 - 000000001fff0000 (usable)
BIOS-e820: 000000001fff0000 - 000000001fffec00 (ACPI data)
BIOS-e820: 000000001fffec00 - 000000001ffff000 (reserved)
BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
Scanning bios EBDA for MXT signature
found SMP MP-table at 000fe710
hm, page 000fe000 reserved twice.
hm, page 000ff000 reserved twice.
hm, page 000f0000 reserved twice.
On node 0 totalpages: 131056
zone(0): 4096 pages.
zone(1): 126960 pages.
zone(2): 0 pages.
Intel MultiProcessor Specification v1.4
   Virtual Wire compatibility mode.
OEM ID: DELL     Product ID: PE 011B      APIC at: 0xFEE00000
Processor #1 Pentium(tm) Pro APIC version 17
Processor #0 Pentium(tm) Pro APIC version 17
I/O APIC #2 Version 17 at 0xFEC00000.
I/O APIC #3 Version 17 at 0xFEC01000.
Processors: 2
Kernel command line: ro root=/dev/sda3
Initializing CPU#0
Detected 1130.497 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 2254.43 BogoMIPS
Memory: 510220k/524224k available (1396k kernel code, 11556k reserved, 102k
data, 240k init, 0k highmem)
Dentry-cache hash table entries: 65536 (order: 7, 524288 bytes)
Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
Mount-cache hash table entries: 8192 (order: 4, 65536 bytes)
Buffer-cache hash table entries: 32768 (order: 5, 131072 bytes)
Page-cache hash table entries: 131072 (order: 8, 1048576 bytes)
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000
CPU:             Common caps: 0383fbff 00000000 00000000 00000000
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000
CPU:             Common caps: 0383fbff 00000000 00000000 00000000
CPU0: Intel(R) Pentium(R) III CPU family      1133MHz stepping 01
per-CPU timeslice cutoff: 1463.49 usecs.
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000040
ESR value after enabling vector: 00000000
Booting processor 1/0 eip 2000
Initializing CPU#1
masked ExtINT on CPU#1
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 2254.43 BogoMIPS
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
Intel machine check reporting enabled on CPU#1.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU:     After generic, caps: 0383fbff 00000000 00000000 00000000
CPU:             Common caps: 0383fbff 00000000 00000000 00000000
CPU1: Intel(R) Pentium(R) III CPU family      1133MHz stepping 01
Total of 2 processors activated (4508.87 BogoMIPS).
ENABLING IO-APIC IRQs
...changing IO-APIC physical APIC ID to 2 ... ok.
...changing IO-APIC physical APIC ID to 3 ... ok.
init IO_APIC IRQs
IO-APIC (apicid-pin) 2-0, 2-3, 2-5, 2-7, 2-13 not connected.
..TIMER: vector=0x31 pin1=2 pin2=0
..MP-BIOS bug: 8254 timer not connected to IO-APIC
...trying to set up timer (IRQ0) through the 8259A ...
..... (found pin 0) ...works.

number of MP IRQ sources: 34.
number of IO-APIC #2 registers: 16.
number of IO-APIC #3 registers: 16.
testing the IO APIC.......................

IO APIC #2......
.... register #00: 02000000
.......    : physical APIC id: 02
.... register #01: 000F0011
.......     : max redirection entries: 000F
.......     : IO APIC version: 0011
.... register #02: 00000000
.......     : arbitration: 00
.... IRQ redirection table:
NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:   
00 003 03  0    0    0   0   0    1    1    31
01 003 03  0    0    0   0   0    1    1    39
02 000 00  1    0    0   0   0    0    0    00
03 000 00  1    0    0   0   0    0    0    00
04 003 03  0    0    0   0   0    1    1    41
05 000 00  1    0    0   0   0    0    0    00
06 003 03  0    0    0   0   0    1    1    49
07 000 00  1    0    0   0   0    0    0    00
08 003 03  0    0    0   0   0    1    1    51
09 003 03  0    0    0   0   0    1    1    59
0a 003 03  0    0    0   0   0    1    1    61
0b 003 03  1    1    0   1   0    1    1    69
0c 003 03  0    0    0   0   0    1    1    71
0d 000 00  1    0    0   0   0    0    0    00
0e 003 03  0    0    0   0   0    1    1    79
0f 003 03  0    0    0   0   0    1    1    81

IO APIC #3......
.... register #00: 03000000
.......    : physical APIC id: 03
.... register #01: 000F0011
.......     : max redirection entries: 000F
.......     : IO APIC version: 0011
.... register #02: 0E000000
.......     : arbitration: 0E
.... IRQ redirection table:
NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:   
00 003 03  1    1    0   1   0    1    1    89
01 003 03  1    1    0   1   0    1    1    91
02 003 03  1    1    0   1   0    1    1    99
03 003 03  1    1    0   1   0    1    1    A1
04 003 03  1    1    0   1   0    1    1    A9
05 003 03  1    1    0   1   0    1    1    B1
06 003 03  1    1    0   1   0    1    1    B9
07 003 03  1    1    0   1   0    1    1    C1
08 003 03  1    1    0   1   0    1    1    C9
09 003 03  1    1    0   1   0    1    1    D1
0a 003 03  1    1    0   1   0    1    1    D9
0b 003 03  1    1    0   1   0    1    1    E1
0c 003 03  1    1    0   1   0    1    1    E9
0d 003 03  1    1    0   1   0    1    1    32
0e 003 03  1    1    0   1   0    1    1    3A
0f 003 03  1    1    0   1   0    1    1    42
IRQ to pin mappings:
IRQ0 -> 0:2
IRQ1 -> 0:1
IRQ4 -> 0:4
IRQ6 -> 0:6
IRQ8 -> 0:8
IRQ9 -> 0:9
IRQ10 -> 0:10
IRQ11 -> 0:11
IRQ12 -> 0:12
IRQ14 -> 0:14
IRQ15 -> 0:15
IRQ16 -> 1:0
IRQ17 -> 1:1
IRQ18 -> 1:2
IRQ19 -> 1:3
IRQ20 -> 1:4
IRQ21 -> 1:5
IRQ22 -> 1:6
IRQ23 -> 1:7
IRQ24 -> 1:8
IRQ25 -> 1:9
IRQ26 -> 1:10
IRQ27 -> 1:11
IRQ28 -> 1:12
IRQ29 -> 1:13
IRQ30 -> 1:14
IRQ31 -> 1:15
.................................... done.
Using local APIC timer interrupts.
calibrating APIC timer ...
..... CPU clock speed is 1130.4510 MHz.
..... host bus clock speed is 132.9942 MHz.
cpu: 0, clocks: 1329942, slice: 443314
CPU0
cpu: 1, clocks: 1329942, slice: 443314
CPU1
checking TSC synchronization across CPUs: passed.
PCI: PCI BIOS revision 2.10 entry at 0xfc6ce, last bus=3
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 2: assuming transparent
PCI: Discovered primary peer bus 01 [IRQ]
PCI: Discovered primary peer bus 03 [IRQ]
PCI: Using IRQ router default [1166/0201] at 00:0f.0
PCI->APIC IRQ transform: (B1,I2,P0) -> 17
PCI->APIC IRQ transform: (B1,I4,P0) -> 16
PCI->APIC IRQ transform: (B1,I8,P0) -> 18
PCI->APIC IRQ transform: (B2,I6,P0) -> 18
PCI->APIC IRQ transform: (B2,I6,P1) -> 19
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS not found.
mxt_scan_bios: enter
Starting kswapd v1.8
VFS: Diskquotas version dquot_6.5.0 initialized
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
Real Time Clock Driver v1.10d
block: queued sectors max/low 338722kB/207650kB, 1024 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
ServerWorks CSB5: IDE controller on PCI bus 00 dev 79
ServerWorks CSB5: chipset revision 147
ServerWorks CSB5: not 100% native mode: will probe irqs later
   ide0: BM-DMA at 0x08b0-0x08b7, BIOS settings: hda:DMA, hdb:pio
   ide1: BM-DMA at 0x08b8-0x08bf, BIOS settings: hdc:pio, hdd:pio
hda: LG DVD-ROM DRN-8080B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide-floppy driver 0.97
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
ide-floppy driver 0.97
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 4096 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 32768)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 355k freed
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
aacraid raid driver version, Sep  6 2001
percraid device detected
Device mapped to virtual address 0xe082e000
percraid:0 device initialization successful
percraid:0 AacHba_ClassDriverInit complete
scsi0 : percraid
 Vendor: DELL      Model: PERCRAID RAID5    Rev: 0001
 Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 71088128 512-byte hdwr sectors (36397 MB)
sda: Write Protect is off
Partition check:
sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 >
Freeing unused kernel memory: 240k freed
Adding Swap: 522072k swap-space (priority -1)
Intel(R) PRO/1000 Network Driver - version 3.1.22
Copyright (c) 1999-2001 Intel Corporation.

Intel(R) PRO/1000 Network Connection
eth0:  Mem:0xfeb60000  IRQ:17  Speed:100 Mbps  Duplex:Full

Intel(R) PRO/1000 Network Connection
eth1:  Mem:0xfeb20000  IRQ:16  Speed:N/A  Duplex:N/A
AAC:Battery charge is now OK



This is the output of lspci:

00:00.0 Host bridge: ServerWorks CNB20HE Host Bridge (rev 23)
00:00.1 Host bridge: ServerWorks CNB20HE Host Bridge (rev 01)
00:00.2 Host bridge: ServerWorks: Unknown device 0006 (rev 01)
00:00.3 Host bridge: ServerWorks: Unknown device 0006 (rev 01)
00:0c.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:0f.0 Host bridge: ServerWorks CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 05)
00:0f.3 ISA bridge: ServerWorks: Unknown device 0225
01:02.0 Ethernet controller: Intel Corporation 82544 Gigabit Ethernet Adapter
(rev 02)
01:04.0 Ethernet controller: Intel Corporation 82544 Gigabit Ethernet Adapter
(rev 02)
01:08.0 PCI bridge: Intel Corporation: Unknown device 0309 (rev 01)
01:08.1 RAID bus controller: Dell Computer Corporation PowerEdge Expandable RAID
Controller 3/Di (rev 01)
02:06.0 SCSI storage controller: Adaptec RAID subsystem HBA (rev 01)
02:06.1 SCSI storage controller: Adaptec RAID subsystem HBA (rev 01)

New Event
Comment 1 Arjan van de Ven 2002-07-10 08:45:48 EDT
Does the text in the url:

http://lists.us.dell.com/cgi-bin/fom?_highlightWords=aacraid&file=57

describe/fix your problem ?
Comment 2 Giuseppe Raimondi 2002-10-16 11:20:10 EDT
I have 2 interesting cases there:
in both is the HW as above, both had an upgrade to 2.4.9-34
in one there were no problems at all, means no need to edit modules.conf before
creating an initrd, the machine started straightaway...
the other had the symptoms as above, followed the instructions in the given URL,
but with no success: the machine will always stand with a "kernel panic: no init
found"...
to be honest I don't know what to think...

Note You need to log in before you can comment on or make changes to this bug.